在最新版本的LabVIEW中整合對NI-VirtualBench的支援

更新 Apr 6, 2021

環境

軟體

  • LabVIEW 2018

驅動程式

  • NI-VirtualBench Application and Driver

我使用的是最新版本的LabVIEW,並嘗試打開一個使用LabVIEW早期版本創建的VI,其中包含NI-VirtualBench元素。每次打開一個VI時,它要求我手動指向所有使用的VirtualBench子VI。有時,它甚至反灰某些選項,並給了我一個斷線的執行箭頭。改如何使VI正常運作呢?

新的LabVIEW版本往往會在相應的NI-VirtualBench版本發布前幾個月發布。如果這些版本不匹配,則最新發布的Virtual Bench版本將不支援較新的LabVIEW版本。有一個暫時的解決方法,可以將NI-VirtualBench驅動包含在LabVIEW中,直到發布最新版本為止。雖然不能完全保證正常運作,但與最新版本的LabVIEW應該沒有相容性問題。

例如,按照以下步驟將VirtualBench 18.0 VI添加到LabVIEW 2019資料庫中:
  1. Download NI-VirtualBench 18.0 from online
  2. 安裝或重新安裝NI-VirtualBench 18.0,選擇Custom安裝,然後選擇LabVIEW 2018 Support。
  3. 連結至C:\Program Files (x86)\National Instruments\LabVIEW 2018\vi.lib\或安裝的相應資料夾。
  4. 將VirtualBench子資料夾複製到C:\Program Files (x86)\National Instruments\LabVIEW 2019\vi.lib\
  5. (重新)啟動LabVIEW 2019
  6. 選擇性步驟:為了能夠編譯這樣的VI,請參考 Add NI-VirtualBench 17 Functions to LabVIEW 2018
注意:該解決方法僅與LabVIEW基本版本有關,與SP1版本無關

附加信息

注意:在安裝NI-VirtualBench版本及其支援的LabVIEW版本時,無需執行上述步驟,例如,使用LabVIEW 2016的NI-VirtualBench 16.x,使用LabVIEW 2017的NI-VirtualBench 17.x等。